/**********************************************************************************************/
/* FBL_ByteToHex.h                                                        					  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/

#ifndef __FBL_ByteToHex_h 
	#define __FBL_ByteToHex_h

#include "FBL.h"


/**********************************************************************************************/
class FBL_String;


/**********************************************************************************************/
extern char* sFBL_Hex[];


/**********************************************************************************************/
FBL_String* FBL_DataToHexString( uchar* inData, ulong inBytes, bool inHexWithData = false, ulong inDepth = 0);
uchar* 		FBL_DataFromHexString( const char* inStr, ulong& ioLen );


/**********************************************************************************************/
inline uchar FBL_HexToByte( char ch )
{
	// PRE: ch is '0'..9 or 'A'..'F'

	uchar res;

	if( ch <= '9' )
	 		res = uchar(ch - '0');
	else	res = uchar(ch - 'A' + 10);
	
	return res; 
}


/**********************************************************************************************/
inline char* FBL_ByteToHex( uchar inNumber )
{	
	return sFBL_Hex[inNumber];
}


/**********************************************************************************************/
#endif // __FBL_ByteToHex_h

